Events
Legacy API
Collaboration diagram for Events:

## Macros

#define | __itt_event_create __itt_event_createA
#define | __itt_event_create_ptr __itt_event_createA_ptr

## Typedefs

typedef int | __itt_event
| user event type More...

## Functions

__itt_event LIBITTAPI | __itt_event_createA (const char *name, int namelen)
| Create an event notification. More...
__itt_event LIBITTAPI | __itt_event_createW (const wchar_t *name, int namelen)
int LIBITTAPI | __itt_event_start (__itt_event event)
| Record an event occurrence. More...
int LIBITTAPI | __itt_event_end (__itt_event event)
| Record an event end occurrence. More...

## Detailed Description

Events group

## Macro Definition Documentation

## __itt_event_create

#define __itt_event_create __itt_event_createA

Definition at line 622 of file legacy/ittnotify.h.

## __itt_event_create_ptr

#define __itt_event_create_ptr __itt_event_createA_ptr

Definition at line 623 of file legacy/ittnotify.h.

## Typedef Documentation

## __itt_event

typedef int __itt_event

user event type

Definition at line 608 of file legacy/ittnotify.h.

## Function Documentation

## __itt_event_createA()

__itt_event LIBITTAPI __itt_event_createA | ( | const char * | name,
|  | int | namelen
| ) |  |

Create an event notification.

Note
  name or namelen being null/name and namelen not matching, user event feature not enabled

Returns
  non-zero event identifier upon success and __itt_err otherwise

## __itt_event_createW()

__itt_event LIBITTAPI __itt_event_createW | ( | const wchar_t * | name,
|  | int | namelen
| ) |  |

## __itt_event_end()

int LIBITTAPI __itt_event_end | ( | __itt_event | event | ) |

Record an event end occurrence.

Note
  It is optional if events do not have durations.

Returns
  __itt_err upon failure (invalid event id/user event feature not enabled)

## __itt_event_start()

int LIBITTAPI __itt_event_start | ( | __itt_event | event | ) |

Record an event occurrence.

Returns
  __itt_err upon failure (invalid event id/user event feature not enabled)

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.